@charset "utf-8";

.main {
  background-color: #F1F2DD;
  padding-bottom: 100px;
}

.title {
  height: 400px;
  background-image: url(../images/contact/bg-main.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  display: flex;
  justify-content: left;
  align-items: center;
  padding-left: 100px;
  color: #f7f7f7;
  text-shadow: 1px 1px 10px #4b2c14;
}

.title h1 {
  font-family: "Mochiy Pop One", sans-serif;
  font-size: 48px;
  font-weight: bold;
}

.explanation {
  width: 930px;
  max-width: 90%;
  margin: 80px auto;
  font-size: 20px;
  line-height: 2;
}

.plan-introduction {
  width: 1080px;
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: space-between;
  flex-direction: row-reverse;
}

.plan-intro-list {
  flex-grow: 1;
  max-width: 800px;
}

.plan-intro-list h2 {
  font-size: 20px;
  font-weight: bold;
  position: relative;
  /* 疑似要素の基準にする */
  padding-bottom: 8px;
  /* 線と文字の間の余白 */
  display: inline-block;
  /* タイトルの幅に下線を合わせる場合 */
}

.plan-intro-list h2::after {
  content: '';
  /* 疑似要素には必須 */
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  /* 下線の幅 */
  height: 2px;
  /* 下線の太さ */
  border-bottom: 2px dashed #352311;
  /* 点線の種類、太さ、色 */
}

.plan-list {
  display: flex;
  align-items: flex-start;
  margin-top: 40px;
  margin-bottom: 100px;
}

.plan-list img {
  width: 50%;
  max-width: 450px;
}

.plan-list p {
  margin-left: 40px;
  font-size: 16px;
  line-height: 2;
}


/* ここからサイドバーのCSS */
.plan-menu {
  flex-shrink: 0;
  margin-right: 60px;
}

.plan-menu-inner {
  position: sticky;
  top: 30px;
  left: 0;
  right: 0;
}

.plan-menu-inner h3 {
  font-size: 20px;
  font-weight: bold;
}

.plan-menu-inner ul {
  list-style-type: disc;
  margin-top: 20px;
  margin-left: 20px;
}

.plan-menu-inner li {
  font-size: 16px;
  margin-top: 40px;
}

.plan-menu-inner ul li a:hover {
  font-weight: bold;
}

/* ここまでサイドバーのCSS */

.link-button-area,
.link-button-area-sp {
  text-align: center;
  margin-top: 56px;
}

.link-button {
  background-color: #E1E84E;
  display: inline-block;
  min-width: 140px;
  line-height: 48px;
  border-radius: 24px;
  font-size: 16px;
  transition: 0.3s;
}

.link-button:hover {
  background-color: #e8cc4e;
}

@media (max-width: 800px) {
  .main {
    padding-bottom: 56px;
  }

  .title {
    background-image: url(../images/contact/bg-sp.jpg);
    padding-left: 20px;
  }

  .title h1 {
    font-size: 20px;
  }

  .explanation {
    font-size: 16px;
    line-height: 2;
    margin-top: 32px;
    margin-bottom: 0px;
  }

  .plan-introduction {
    display: block;
  }

  .plan-intro-list {
    width: 100%;
  }

  .plan-intro-list h2 {
    margin-top: 100px;
  }

  .plan-list {
    display: block;
    margin-top: 24px;
    margin-bottom: 24px;
  }

  .plan-list img {
    width: 100%;
    max-width: 100%;
  }

  .plan-list p {
    width: 100%;
    margin-left: 0px;
    font-size: 16px;
    line-height: 2;
  }

  .plan-menu {
    background-color: #EFEFC5;
    padding-top: 50px;
    padding-bottom: 50px;
    padding-left: 20px;
    margin-top: 100px;
    margin-right: 0;
  }

  .plan-menu-inner {
    position: sticky;
    top: 30px;
    left: 0;
    right: 0;
  }

  .plan-menu-inner h3 {
    font-size: 20px;
    font-weight: bold;
  }

  .plan-menu-inner ul {
    list-style-type: disc;
    margin-top: 20px;
    margin-left: 20px;
  }

  .link-button-area {
    display: none;
  }
}

@media (min-width: 801px) {
  .link-button-area-sp {
    display: none;
  }
}